\section{Improving output/deployment}

\begin{frame}[label={sec:improved-output}]{Improving output/deployment}
%------------------------------------------ diapo -----------------------------------------------
\begin{block}{TODO}
The various CI/CD offers several ways to show the results of the jobs
\end{block}

\begin{block}{TODO}
présentations des résultats (dans la forge contenant les sources, dans site externe, dans sonarqube)
\begin{itemize}

\item     badge (status des job , coverage, test)
\item    tests
\item    coverages
\item    pages
\item    serveur externes (ssh, webdav)
\item    sonarqube (ou equivalent) ?
\item    artefacts
        binaires (incl. jar, npm, ...),
        docker, 
        documentation (cf pages)
\item    gestion des releases
        déploiement des binaires sur les pages: cas de gitlab pages sans état
        intégration avec la notion de release de gitlab (i. snapshot des sources) %https://docs.gitlab.com/ee/user/project/releases/#create-a-release-by-using-a-cicd-job
        
        
    CD en général ?


\end{itemize}
\end{block}
%------------------------------------------------------------------------------------------------
\end{frame}

%================================================================================================
\subsection{Showing Bagdes}

\begin{frame}[label={sec:improved-output-badge}]{Badge}
%------------------------------------------ diapo -----------------------------------------------
\begin{block}{TODO}
Many projects show to their uses how healthy is the project using badges.

CI/CD can show some badges associated to the development/deployment process
\end{block}
%------------------------------------------------------------------------------------------------
\end{frame}

\includeGitlab{40-improved-output-badge}

%================================================================================================
\subsection{Showing test results}

\begin{frame}[label={sec:improved-output-test}]{Showing test results}
%------------------------------------------ diapo -----------------------------------------------
\begin{block}{TODO}
Explain the various ways test results are displayed to the developpers.
\end{block}
%------------------------------------------------------------------------------------------------
\end{frame}

%================================================================================================
\subsection{Showing coverage results}

\begin{frame}[label={sec:improved-output-coverage}]{Showing coverage results}
%------------------------------------------ diapo -----------------------------------------------
\begin{block}{TODO}
Explain the various ways coverage results are displayed to the developpers.
\end{block}
%------------------------------------------------------------------------------------------------
\end{frame}

%================================================================================================
\subsection{Exporting metrics on dashboard applications}

%================================================================================================
\subsection{Creating web sites/pages}

%================================================================================================
\subsection{Exporting artefacts}

%================================================================================================
\subsection{Managing releases}